org.jetlang.remote.core

## Class JavaSerializationWriter

- java.lang.Object
- - org.jetlang.remote.core.JavaSerializationWriter

All Implemented Interfaces:
  ObjectByteWriter

    public class JavaSerializationWriter
    extends Object
    implements ObjectByteWriter

User: mrettig Date: 4/6/11 Time: 9:04 AM

### Nested Class Summary

Nested Classes
`static class` `JavaSerializationWriter.ByteStream`

### Constructor Summary

Constructors
Constructor and Description
`JavaSerializationWriter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `write(String toTopic, Object msg, ByteMessageWriter writer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JavaSerializationWriter

    public JavaSerializationWriter()

### Method Detail

#### write

    public void write(String toTopic,
                      Object msg,
                      ByteMessageWriter writer)
               throws IOException

Specified by:
  `write` in interface `ObjectByteWriter`
Throws:
  `IOException`